#ifndef _LINUXCOMM_H_
#define _LINUXCOMM_H_

#include "commdef.h"
#include "interface.h"

class LinuxCommInterface : public ArcInterface
{
public:		
	LinuxCommInterface();	
	~LinuxCommInterface();
	bool init(const char nPortNum, char nBaudRate = 7, char nStopBit = 0);
	int send(const char *outBuf, int outLen);	
	int recv(char *inBuf, int inLen);		
	int syncSend(const char *outBuf, int outLen, char *inBuf, int inLen);
	void setTimeOut(int nSec);

private:
	int	m_hComm;	
	int	nTimeOut;	// in seconds
};

#endif
